Bug 165199 - Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion
Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 05:54 EDT by Chandrashekhar Kumar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-05 17:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chandrashekhar Kumar 2005-08-05 05:54:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
[cskumar@localhost bin]$ ./gcc
Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion `(void *) ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!


Version-Release number of selected component (if applicable):
gcc-3.4.3

How reproducible:
Always

Steps to Reproduce:
1.[cskumar@localhost bin]$ ./gcc
Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion `(void *) ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!

2.
3.
  

Actual Results:  Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion `(void *) ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!


Expected Results:  gcc: no input files

Additional info:
Comment 1 Jakub Jelinek 2005-08-05 17:19:02 EDT
I don't believe you are using glibc from Fedora Core 4, as FC glibc is built
with -DNDEBUG=1 and therefore has no assertions e.g. in its dynamic linker.
What you see above is a bug in the dynamic linker of whatever glibc you are
using.
Comment 2 gururaj 2006-01-16 02:17:06 EST
$ make install
Entering chroot for make rtxml-install
Inconsistency detected by ld.so: rtld.c: 1180: dl_main: Assertion `(void *)
ph->p_vaddr == _rtld_local._dl_sysinfo_dso' failed!
make: *** [rtxml-install] Error 127

Got in Fedora core error during compilation.

Note You need to log in before you can comment on or make changes to this bug.